> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/v1/how-to-guides/data-retrieval-and-modification/how-to-retrieve-data-for-acm-proceedings.md).

# How to Retrieve Data for ACM Proceedings

Venues uploading their metadata to the ACM e-Rights system will need to follow [specific procedures and requirements](https://www.acm.org/publications/gi-proceedings-current). If you have questions about these requirements, please contact the current ACM point of contact.

PCs can use the python client to retrieve the [required submission/author data](https://www.acm.org/binaries/content/assets/publications/taps/papertypes-csvfields-current.pdf), but the CSV or XML file will need to be prepared by PCs.

We strongly encourage PCs to communicate with authors as early as possible to fill out the “city” , and “country” data for their institution located in their profiles. PCs can retrieve this data using the openreview-py function: get\_profiles() for one or multiple authors.

```python
profiles = openreview.tools.get_profiles(
    client,
    ids_or_emails=['michael@openreview.net', '~Melisa_bok1']
)
```

To get the affiliation data, check the history within the profile content.

```python
for profile in profiles:
    profile.content['history']
```

The output may look like:

```json
"history": [
    {
    "position": "Researcher",
    "start": 2024,
    "end": null,
    "institution": {
        "domain": "unitn.it",
        "name": "University of Trento",
        "country": "IT",
        "stateProvince": "Trento",
        "city": "Trento",
        "department": "CIMEC"
        }
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openreview.net/v1/how-to-guides/data-retrieval-and-modification/how-to-retrieve-data-for-acm-proceedings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
